Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageReaction

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageReaction extends TdApi.Update
User changed its reactions on a message with public reactions; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.MessageSender`
`actorId`
Identifier of the user or chat that changed reactions.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the reactions were changed.
`long`
`messageId`
Message identifier.
`TdApi.ReactionType[]`
`newReactionTypes`
New list of chosen reactions.
`TdApi.ReactionType[]`
`oldReactionTypes`
Old list of chosen reactions.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageReaction()`
User changed its reactions on a message with public reactions; for bots only.
`UpdateMessageReaction(long chatId, long messageId, TdApi.MessageSender actorId, int date, TdApi.ReactionType[] oldReactionTypes, TdApi.ReactionType[] newReactionTypes)`
User changed its reactions on a message with public reactions; for bots only.
`UpdateMessageReaction(DataInput input)`
User changed its reactions on a message with public reactions; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### actorId

public TdApi.MessageSender actorId
Identifier of the user or chat that changed reactions.

### date

public int date
Point in time (Unix timestamp) when the reactions were changed.

### oldReactionTypes

public TdApi.ReactionType[] oldReactionTypes
Old list of chosen reactions.

### newReactionTypes

public TdApi.ReactionType[] newReactionTypes
New list of chosen reactions.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageReaction

public UpdateMessageReaction()
User changed its reactions on a message with public reactions; for bots only.

### UpdateMessageReaction

public UpdateMessageReaction(long chatId, long messageId, TdApi.MessageSender actorId, int date, TdApi.ReactionType[] oldReactionTypes, TdApi.ReactionType[] newReactionTypes)
User changed its reactions on a message with public reactions; for bots only.

Parameters:
  `chatId` - Chat identifier.
  `messageId` - Message identifier.
  `actorId` - Identifier of the user or chat that changed reactions.
  `date` - Point in time (Unix timestamp) when the reactions were changed.
  `oldReactionTypes` - Old list of chosen reactions.
  `newReactionTypes` - New list of chosen reactions.

### UpdateMessageReaction

public UpdateMessageReaction(DataInput input) throws IOException
User changed its reactions on a message with public reactions; for bots only.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`